The Account Closing Balance object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

status string

Default: draft

closing_date string
account string
cost_center string
debit number
credit number
account_currency string
debit_in_account_currency number
credit_in_account_currency number
project string
company string
finance_book string
period_closing_voucher string
is_period_closing_voucher_entry boolean

Default: false

debit_in_reporting_currency number
credit_in_reporting_currency number
reporting_currency_exchange_rate number
The Account Closing Balance object
{
  "id": "account-closing-balance_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "closing_date": "2024-01-15",
  "account": "account_example",
  "cost_center": "cost_center_example",
  "debit": 0,
  "credit": 0,
  "account_currency": "USD",
  "debit_in_account_currency": 0,
  "credit_in_account_currency": 0,
  "project": "project_example",
  "company": "Example Corp",
  "finance_book": "finance_book_example",
  "period_closing_voucher": "period_closing_voucher_example",
  "is_period_closing_voucher_entry": false,
  "debit_in_reporting_currency": 0,
  "credit_in_reporting_currency": 0,
  "reporting_currency_exchange_rate": 0
}
GET /api/accounts/account-closing-balance/{id}

Retrieve a account closing balance

Retrieves the details of an existing account closing balance. Supply the unique account closing balance ID that was returned from a previous request.

Path parameters

id string required

The identifier of the account closing balance to retrieve.

Returns

Returns the account closing balance object if a valid identifier was provided.

GET /api/accounts/account-closing-balance/{id}
curl https://api.overplane.dev/api/accounts/account-closing-balance/account-closing-balance_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "account-closing-balance_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "closing_date": "2024-01-15",
  "account": "account_example",
  "cost_center": "cost_center_example",
  "debit": 0,
  "credit": 0,
  "account_currency": "USD",
  "debit_in_account_currency": 0,
  "credit_in_account_currency": 0,
  "project": "project_example",
  "company": "Example Corp",
  "finance_book": "finance_book_example",
  "period_closing_voucher": "period_closing_voucher_example",
  "is_period_closing_voucher_entry": false,
  "debit_in_reporting_currency": 0,
  "credit_in_reporting_currency": 0,
  "reporting_currency_exchange_rate": 0
}
GET /api/accounts/account-closing-balance

List all account closing balances

Returns a list of account closing balances. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of account closing balance objects.

GET /api/accounts/account-closing-balance
curl https://api.overplane.dev/api/accounts/account-closing-balance \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "account-closing-balance_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "status": "draft",
      "closing_date": "2024-01-15",
      "account": "account_example",
      "cost_center": "cost_center_example",
      "debit": 0,
      "credit": 0,
      "account_currency": "USD",
      "debit_in_account_currency": 0,
      "credit_in_account_currency": 0,
      "project": "project_example",
      "company": "Example Corp",
      "finance_book": "finance_book_example",
      "period_closing_voucher": "period_closing_voucher_example",
      "is_period_closing_voucher_entry": false,
      "debit_in_reporting_currency": 0,
      "credit_in_reporting_currency": 0,
      "reporting_currency_exchange_rate": 0
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/accounts/account-closing-balance

Create a account closing balance

Creates a new account closing balance object.

Body parameters

status string

Default: draft

closing_date string
account string
cost_center string
debit number
credit number
account_currency string
debit_in_account_currency number
credit_in_account_currency number
project string
company string
finance_book string
period_closing_voucher string
is_period_closing_voucher_entry boolean

Default: false

debit_in_reporting_currency number
credit_in_reporting_currency number
reporting_currency_exchange_rate number

Returns

Returns the newly created account closing balance object if the call succeeded.

POST /api/accounts/account-closing-balance
curl https://api.overplane.dev/api/accounts/account-closing-balance \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json"
Response
{
  "id": "account-closing-balance_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "closing_date": "2024-01-15",
  "account": "account_example",
  "cost_center": "cost_center_example",
  "debit": 0,
  "credit": 0,
  "account_currency": "USD",
  "debit_in_account_currency": 0,
  "credit_in_account_currency": 0,
  "project": "project_example",
  "company": "Example Corp",
  "finance_book": "finance_book_example",
  "period_closing_voucher": "period_closing_voucher_example",
  "is_period_closing_voucher_entry": false,
  "debit_in_reporting_currency": 0,
  "credit_in_reporting_currency": 0,
  "reporting_currency_exchange_rate": 0
}
PATCH /api/accounts/account-closing-balance/{id}

Update a account closing balance

Updates the specified account closing balance by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the account closing balance to update.

Body parameters

status string

Default: draft

closing_date string
account string
cost_center string
debit number
credit number
account_currency string
debit_in_account_currency number
credit_in_account_currency number
project string
company string
finance_book string
period_closing_voucher string
is_period_closing_voucher_entry boolean

Default: false

debit_in_reporting_currency number
credit_in_reporting_currency number
reporting_currency_exchange_rate number

Returns

Returns the updated account closing balance object.

PATCH /api/accounts/account-closing-balance/{id}
curl https://api.overplane.dev/api/accounts/account-closing-balance/account-closing-balance_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"status":"draft","closing_date":"2024-01-15"}'
Response
{
  "id": "account-closing-balance_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "closing_date": "2024-01-15",
  "account": "account_example",
  "cost_center": "cost_center_example",
  "debit": 0,
  "credit": 0,
  "account_currency": "USD",
  "debit_in_account_currency": 0,
  "credit_in_account_currency": 0,
  "project": "project_example",
  "company": "Example Corp",
  "finance_book": "finance_book_example",
  "period_closing_voucher": "period_closing_voucher_example",
  "is_period_closing_voucher_entry": false,
  "debit_in_reporting_currency": 0,
  "credit_in_reporting_currency": 0,
  "reporting_currency_exchange_rate": 0
}
DELETE /api/accounts/account-closing-balance/{id}

Delete a account closing balance

Permanently deletes a account closing balance. This cannot be undone.

Path parameters

id string required

The identifier of the account closing balance to delete.

Returns

Returns a confirmation that the account closing balance has been deleted.

DELETE /api/accounts/account-closing-balance/{id}
curl https://api.overplane.dev/api/accounts/account-closing-balance/account-closing-balance_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "account-closing-balance_abc123",
  "deleted": true
}
POST /api/accounts/account-closing-balance/{id}/submit

Submit a account closing balance

Submits a draft account closing balance, transitioning its status from draft to submitted.

Path parameters

id string required

The identifier of the account closing balance to act on.

Returns

Returns the account closing balance object with updated status.

POST /api/accounts/account-closing-balance/{id}/submit
curl https://api.overplane.dev/api/accounts/account-closing-balance/account-closing-balance_abc123/submit \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "account-closing-balance_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "closing_date": "2024-01-15",
  "account": "account_example",
  "cost_center": "cost_center_example",
  "debit": 0,
  "credit": 0,
  "account_currency": "USD",
  "debit_in_account_currency": 0,
  "credit_in_account_currency": 0,
  "project": "project_example",
  "company": "Example Corp",
  "finance_book": "finance_book_example",
  "period_closing_voucher": "period_closing_voucher_example",
  "is_period_closing_voucher_entry": false,
  "debit_in_reporting_currency": 0,
  "credit_in_reporting_currency": 0,
  "reporting_currency_exchange_rate": 0
}
POST /api/accounts/account-closing-balance/{id}/cancel

Cancel a account closing balance

Cancels a submitted account closing balance, transitioning its status to cancelled.

Path parameters

id string required

The identifier of the account closing balance to act on.

Returns

Returns the account closing balance object with updated status.

POST /api/accounts/account-closing-balance/{id}/cancel
curl https://api.overplane.dev/api/accounts/account-closing-balance/account-closing-balance_abc123/cancel \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "account-closing-balance_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "closing_date": "2024-01-15",
  "account": "account_example",
  "cost_center": "cost_center_example",
  "debit": 0,
  "credit": 0,
  "account_currency": "USD",
  "debit_in_account_currency": 0,
  "credit_in_account_currency": 0,
  "project": "project_example",
  "company": "Example Corp",
  "finance_book": "finance_book_example",
  "period_closing_voucher": "period_closing_voucher_example",
  "is_period_closing_voucher_entry": false,
  "debit_in_reporting_currency": 0,
  "credit_in_reporting_currency": 0,
  "reporting_currency_exchange_rate": 0
}